# eric4.Plugins.VcsPlugins.vcsPySvn.SvnLogDialog

Module implementing a dialog to show the output of the svn log command process.

### Global Attributes

None

### Classes

SvnLogDialog | Class implementing a dialog to show the output of the svn log command.

### Functions

None

## SvnLogDialog

Class implementing a dialog to show the output of the svn log command.

The dialog is nonmodal. Clicking a link in the upper text pane shows a diff of the versions.

### Derived from

QWidget, SvnDialogMixin, Ui_SvnLogDialog

### Class Attributes

None

### Class Methods

None

### Methods

SvnLogDialog | Constructor
__finish | Private slot called when the user pressed the button.
__showError | Private slot to show an error message.
__sourceChanged | Private slot to handle the sourceChanged signal of the contents pane.
on_buttonBox_clicked | Private slot called by a button of the button box clicked.
start | Public slot to start the svn log command.

### Static Methods

None

#### SvnLogDialog (Constructor)

SvnLogDialog(vcs, parent = None)

Constructor

vcs
  reference to the vcs object
parent
  parent widget (QWidget)

#### SvnLogDialog.__finish

__finish()

Private slot called when the user pressed the button.

#### SvnLogDialog.__showError

__showError(msg)

Private slot to show an error message.

msg
  error message to show (string or QString)

#### SvnLogDialog.__sourceChanged

__sourceChanged(url)

Private slot to handle the sourceChanged signal of the contents pane.

url
  the url that was clicked (QUrl)

#### SvnLogDialog.on_buttonBox_clicked

on_buttonBox_clicked(button)

Private slot called by a button of the button box clicked.

button
  button that was clicked (QAbstractButton)

#### SvnLogDialog.start

start(fn, noEntries = 0)

Public slot to start the svn log command.

fn
  filename to show the log for (string)
noEntries
  number of entries to show (integer)

Up